<?php

namespace CouponsPlus\App\Coupon\Columns\OfferColumns\Meta;

use CouponsPlus\App\Coupon\Columns\SimpleColumn;
use CouponsPlus\App\Coupon\Meta\ColumnMeta;

#[\AllowDynamicProperties]
Class OnlyOffersColumnMeta extends ColumnMeta
{
    public function getName() : string
    {
        return __('Only Offers', 'coupons-plus-for-woocommerce');
    }

    public function getDescription() : string
    {
        return '';
    }

    public function isOffersColumn() : bool
    {
        return true;
    }

    public function useOneOffersSetForAllContexts() : bool
    {
        return true;
    }

    public function getPreferredColumnConversion() : string
    {
        return SimpleColumn::TYPE;
    }
}